// const { transport, emailTemplate } = require('./mail')

const LoginError = new Error('You must be logged in.')
// const PermissionError = new Error('Insufficient permissions.')

const Query = {
  training: async (parent, args, context, info) => {
    if (!context.request.userId) throw LoginError
    return context.db.query.training({ data: args }, info)
  },
  trainings: async (parent, args, context, info) => {
    if (!context.request.userId) throw LoginError
    return context.db.query.trainings({}, info)
  },
  trainingTypes: async (parent, args, context, info) => {
    if (!context.request.userId) throw LoginError
    return context.db.query.trainingTypes()
  },
  blocks: async (parent, args, context, info) => {
    if (!context.request.userId) throw LoginError
    return context.db.query.trainingTypes()
  }
}

const Mutation = {
  createTraining: async (parent, args, context, info) => {
    if (!context.request.userId) throw LoginError
    const training = await context.db.mutation.createTraining(
      { data: args }, info
    )
    return training
  },
  createTrainingType: async (parent, args, context, info) => {
    if (!context.request.userId) throw LoginError
    const trainingType = await context.db.mutation.createTrainingType(
      { data: args }, info
    )
    return trainingType
  },
  createBlock: async (parent, args, context, info) => {
    if (!context.request.userId) throw LoginError
    const block = await context.db.mutation.createBlock(
      { data: args }, info
    )
    return block
  }
}

const resolvers = {
  Query,
  Mutation
}

module.exports = { resolvers }
