import { ITraining } from "./src/training/types";

const data: { trainings: ITraining[]; polls: any } = {
  trainings: [
    {
      id: "training0",
      title: "Corona 1",
      type: {
        id: "type0",
        name: "HIIT",
        description: "High Intensity Interval Training"
      },
      createdAt: "2020-03-25T21:13:43.284Z",
      trainingDate: "2020-03-26T10:45:00.000Z",
      location: "At home",
      registrations: [],
      attendance: 0,
      ratings: [],
      published: true,
      blocks: [
        {
          id: "block0",
          sequence: 0,
          title: "Drop Sets",
          repetitions: 1,
          rest: 25,
          format: {
            id: "format0",
            name: "Sequence",
            description: "Sequence of exercises"
          },
          blocks: [
            {
              id: "block0",
              sequence: 0,
              title: "Lateral move with jumps",
              repetitions: 1,
              format: {
                id: "format0",
                name: "Drop Sets",
                description:
                  "During the exercise, the moves get easier. Keep the heart rate up by increasing the intensity!"
              },
              rest: 25,
              blocks: [
                {
                  id: "block0",
                  duration: 40,
                  exercises: [
                    {
                      id: "exercise0",
                      name: "Lateral high knee run",
                      repetitions: 4,
                      description:
                        "Jog pulling your knees up high while moving sideways",
                      videos: ["https://www.youtube.com/watch?v=s5GanRixp6I"],
                      pictures: [
                        "https://media1.popsugar-assets.com/files/thumbor/xfgCQbEWOZpPDA_HTMSfgcOnYYE/fit-in/1024x1024/filters:format_auto-!!-:strip_icc-!!-/2015/06/26/981/n/1922729/a7719ba19ea7a1ae_lateral-run-and-hold/i/Tabata-One-Lateral-High-Knee-Run-Hold.jpg"
                      ],
                      targets: [],
                      baseExercise: {
                        id: "baseExercise1",
                        name: "Jog on the spot"
                      }
                    },
                    {
                      id: "exercise1",
                      name: "Squat",
                      repetitions: 1,
                      description:
                        "Sit down backwards, hip about knee-high. Keep your knees behind the toes.",
                      videos: [],
                      pictures: [],
                      targets: ["Thighs", "Glutes"],
                      baseExercise: {
                        id: "baseExercise1",
                        name: "Squat"
                      }
                    },
                    {
                      id: "exercise2",
                      name: "Block jump",
                      repetitions: 1,
                      description:
                        "Jump up. Feet are at least hip-wide, land in a squat. Use your arms to add momentum.",
                      videos: [],
                      pictures: [],
                      targets: ["Thighs", "Glutes"],
                      baseExercise: {
                        id: "baseExercise1",
                        name: "Jump"
                      }
                    },
                    {
                      id: "exercise3",
                      name: "Butt kick",
                      repetitions: 1,
                      description:
                        "Jump up. While jumping, try to kick your butt with your heels.",
                      videos: [],
                      pictures: [],
                      targets: [],
                      baseExercise: {
                        id: "baseExercise1",
                        name: "Jump"
                      }
                    }
                  ]
                },
                {
                  id: "block1",
                  duration: 30,
                  exercises: [
                    {
                      id: "exercise1",
                      name: "Squat",
                      repetitions: 1,
                      description:
                        "Sit down backwards, hip about knee-high. Keep your knees behind the toes.",
                      videos: [],
                      pictures: [],
                      targets: ["Thighs", "Glutes"],
                      baseExercise: {
                        id: "baseExercise1",
                        name: "Squat"
                      }
                    },
                    {
                      id: "exercise2",
                      name: "Block jump",
                      repetitions: 1,
                      description:
                        "Jump up. Feet are at least hip-wide, land in a squat. Use your arms to add momentum.",
                      videos: [],
                      pictures: [],
                      targets: ["Thighs", "Glutes"],
                      baseExercise: {
                        id: "baseExercise1",
                        name: "Jump"
                      }
                    },
                    {
                      id: "exercise3",
                      name: "Butt kick",
                      repetitions: 1,
                      description:
                        "Jump up. While jumping, try to kick your butt with your heels.",
                      videos: [],
                      pictures: [],
                      targets: [],
                      baseExercise: {
                        id: "baseExercise1",
                        name: "Jump"
                      }
                    }
                  ]
                },
                {
                  id: "block2",
                  duration: 20,
                  exercises: [
                    {
                      id: "exercise1",
                      name: "Squat",
                      repetitions: 1,
                      description:
                        "Sit down backwards, hip about knee-high. Keep your knees behind the toes.",
                      videos: [],
                      pictures: [],
                      targets: ["Thighs", "Glutes"],
                      baseExercise: {
                        id: "baseExercise1",
                        name: "Squat"
                      }
                    },
                    {
                      id: "exercise2",
                      name: "Block jump",
                      repetitions: 1,
                      description:
                        "Jump up. Feet are at least hip-wide, land in a squat. Use your arms to add momentum.",
                      videos: [],
                      pictures: [],
                      targets: ["Thighs", "Glutes"],
                      baseExercise: {
                        id: "baseExercise1",
                        name: "Jump"
                      }
                    }
                  ]
                }
              ]
            },
            {
              id: "block0",
              sequence: 0,
              title: "Pushup with frog-jump and block jump",
              repetitions: 1,
              format: {
                id: "format0",
                name: "Drop Sets",
                description:
                  "During the exercise, the moves get easier. Keep the heart rate up by increasing the intensity!"
              },
              rest: 25,
              blocks: [
                {
                  id: "block3",
                  duration: 40,
                  exercises: [
                    {
                      id: "exercise1",
                      name: "Squat",
                      repetitions: 1,
                      description:
                        "Sit down backwards, hip about knee-high. Keep your knees behind the toes.",
                      videos: [],
                      pictures: [],
                      targets: ["Thighs", "Glutes"],
                      baseExercise: {
                        id: "baseExercise1",
                        name: "Squat"
                      }
                    },
                    {
                      id: "exercise4",
                      name: "Pushup",
                      repetitions: 1,
                      description: "",
                      videos: [],
                      pictures: [],
                      targets: ["Chest", "Triceps"],
                      baseExercise: {
                        id: "baseExercise1",
                        name: "Pushup"
                      }
                    },
                    {
                      id: "exercise2",
                      name: "Frog jump",
                      repetitions: 1,
                      description: "",
                      videos: [],
                      pictures: [],
                      targets: ["Core", "Quads"],
                      baseExercise: {
                        id: "baseExercise1",
                        name: "Mountain climber"
                      }
                    },
                    {
                      id: "exercise2",
                      name: "Block jump",
                      repetitions: 1,
                      description: "",
                      videos: [],
                      pictures: [],
                      targets: [],
                      baseExercise: {
                        id: "baseExercise1",
                        name: "Jump"
                      }
                    }
                  ]
                },
                {
                  id: "block4",
                  duration: 30,
                  exercises: [
                    {
                      id: "exercise1",
                      name: "Squat",
                      repetitions: 1,
                      description:
                        "Sit down backwards, hip about knee-high. Keep your knees behind the toes.",
                      videos: [],
                      pictures: [],
                      targets: ["Thighs", "Glutes"],
                      baseExercise: {
                        id: "baseExercise1",
                        name: "Squat"
                      }
                    },
                    {
                      id: "exercise4",
                      name: "Pushup",
                      repetitions: 1,
                      description: "",
                      videos: [],
                      pictures: [],
                      targets: ["Chest", "Triceps"],
                      baseExercise: {
                        id: "baseExercise1",
                        name: "Pushup"
                      }
                    },
                    {
                      id: "exercise2",
                      name: "Block jump",
                      repetitions: 1,
                      description: "",
                      videos: [],
                      pictures: [],
                      targets: [],
                      baseExercise: {
                        id: "baseExercise1",
                        name: "Jump"
                      }
                    }
                  ]
                },
                {
                  id: "block5",
                  duration: 20,
                  exercises: [
                    {
                      id: "exercise1",
                      name: "Squat",
                      repetitions: 1,
                      description:
                        "Sit down backwards, hip about knee-high. Keep your knees behind the toes.",
                      videos: [],
                      pictures: [],
                      targets: ["Thighs", "Glutes"],
                      baseExercise: {
                        id: "baseExercise1",
                        name: "Squat"
                      }
                    },
                    {
                      id: "exercise2",
                      name: "Block jump",
                      repetitions: 1,
                      description: "",
                      videos: [],
                      pictures: [],
                      targets: [],
                      baseExercise: {
                        id: "baseExercise1",
                        name: "Jump"
                      }
                    }
                  ]
                }
              ]
            }
          ]
        },

        {
          id: "block1",
          sequence: 0,
          title: "Power Sets with Kicker",
          repetitions: 2,
          format: {
            id: "format0",
            name: "Sequence",
            description: "Sequence of exercises"
          },
          rest: 25,
          blocks: [
            {
              id: "block0",
              sequence: 0,
              title: "Block A",
              repetitions: 1,
              format: {
                id: "format0",
                name: "Power Set",
                description:
                  "Sequence of exercises targeting different regions without rest in between."
              },
              rest: 25,
              blocks: [
                {
                  id: "block0",
                  duration: 25,
                  exercises: [
                    {
                      id: "exercise6",
                      name: "Donkey kick",
                      repetitions: 1,
                      description: "",
                      videos: [],
                      pictures: [],
                      targets: [],
                      baseExercise: {
                        id: "baseExercise1",
                        name: "Mountain climber"
                      }
                    },
                    {
                      id: "exercise1",
                      name: "Plank walk",
                      repetitions: 2,
                      description: "",
                      videos: [],
                      pictures: [],
                      targets: [],
                      baseExercise: {
                        id: "baseExercise1",
                        name: "Plank"
                      }
                    }
                  ]
                },
                {
                  id: "block1",
                  duration: 25,
                  exercises: [
                    {
                      id: "exercise1",
                      name: "Long jump",
                      repetitions: 1,
                      description: "",
                      videos: [],
                      pictures: [],
                      targets: [],
                      baseExercise: {
                        id: "baseExercise1",
                        name: "Jump"
                      }
                    },
                    {
                      id: "exercise2",
                      name: "180°",
                      repetitions: 1,
                      description: "",
                      videos: [],
                      pictures: [],
                      targets: [],
                      baseExercise: {
                        id: "baseExercise1",
                        name: "Jump"
                      }
                    }
                  ]
                },
                {
                  id: "block2",
                  duration: 10,
                  exercises: [
                    {
                      id: "exercise1",
                      name: "Burpee",
                      repetitions: 1,
                      description: "",
                      videos: [],
                      pictures: [],
                      targets: [],
                      baseExercise: {
                        id: "baseExercise1",
                        name: "Burpee"
                      }
                    }
                  ]
                }
              ]
            },

            {
              id: "block1",
              sequence: 0,
              title: "Block B",
              repetitions: 1,
              format: {
                id: "format0",
                name: "Power Set",
                description:
                  "Sequence of exercises targeting different regions without rest in between."
              },
              rest: 25,
              blocks: [
                {
                  id: "block3",
                  duration: 25,
                  exercises: [
                    {
                      id: "exercise6",
                      name: "Side climber",
                      repetitions: 2,
                      description: "",
                      videos: [],
                      pictures: [],
                      targets: [],
                      baseExercise: {
                        id: "baseExercise1",
                        name: "Mountain climber"
                      }
                    },
                    {
                      id: "exercise1",
                      name: "Pushup",
                      repetitions: 1,
                      description: "",
                      videos: [],
                      pictures: [],
                      targets: [],
                      baseExercise: {
                        id: "baseExercise1",
                        name: "Plank"
                      }
                    }
                  ]
                },
                {
                  id: "block4",
                  duration: 25,
                  exercises: [
                    {
                      id: "exercise1",
                      name: "Power lunge",
                      repetitions: 1,
                      description: "",
                      videos: [],
                      pictures: [],
                      targets: [],
                      baseExercise: {
                        id: "baseExercise1",
                        name: "Lunge"
                      }
                    }
                  ]
                },
                {
                  id: "block5",
                  duration: 10,
                  exercises: [
                    {
                      id: "exercise1",
                      name: "Burpee",
                      repetitions: 1,
                      description: "",
                      videos: [],
                      pictures: [],
                      targets: [],
                      baseExercise: {
                        id: "baseExercise1",
                        name: "Burpee"
                      }
                    }
                  ]
                }
              ]
            },

            {
              id: "block2",
              sequence: 0,
              title: "Block C",
              repetitions: 1,
              format: {
                id: "format0",
                name: "Power Set",
                description:
                  "Sequence of exercises targeting different regions without rest in between."
              },
              rest: 25,
              blocks: [
                {
                  id: "block5",
                  duration: 25,
                  exercises: [
                    {
                      id: "exercise6",
                      name: "Inch worm",
                      repetitions: 1,
                      description: "",
                      videos: [],
                      pictures: [],
                      targets: [],
                      baseExercise: {
                        id: "baseExercise1",
                        name: "Plank"
                      }
                    },
                    {
                      id: "exercise1",
                      name: "Block jump",
                      repetitions: 1,
                      description: "",
                      videos: [],
                      pictures: [],
                      targets: [],
                      baseExercise: {
                        id: "baseExercise1",
                        name: "Jump"
                      }
                    }
                  ]
                },
                {
                  id: "block5",
                  duration: 25,
                  exercises: [
                    {
                      id: "exercise1",
                      name: "Fast feet",
                      repetitions: 1,
                      description: "",
                      videos: [],
                      pictures: [],
                      targets: [],
                      baseExercise: {
                        id: "baseExercise1",
                        name: "Jog on the spot"
                      }
                    }
                  ]
                },
                {
                  id: "block5",
                  duration: 10,
                  exercises: [
                    {
                      id: "exercise1",
                      name: "Burpee",
                      repetitions: 1,
                      description: "",
                      videos: [],
                      pictures: [],
                      targets: [],
                      baseExercise: {
                        id: "baseExercise1",
                        name: "Burpee"
                      }
                    }
                  ]
                }
              ]
            }
          ]
        }
      ]
    }
  ],
  polls: []
};

export default data;
