import { useField } from 'formik'
import { InputProps } from '../types'

const Select = ({ label, ...props }: any) => {
  const [field, meta] = useField(props)
  return (
    <>
      <label htmlFor={props.id || props.name}>{label}</label>
      <select {...field} {...props} />
      {(meta.touched && meta.error) && (
        <div className='error'>{meta.error}</div>
      )}
    </>
  )
}

export default Select