import { getPosition } from "../utils";
import { IExerciseItem } from "../types";

const exercises: IExerciseItem[] = [
  { exercise: "exercise1", duration: 1, offset: 0 },
  { exercise: "exercise2", duration: 2, offset: 1 },
  { exercise: "exercise3", duration: 3, offset: 3 },
  { exercise: "exercise4", duration: 4, offset: 6 }
];

describe("finds the right position in the exercise.", () => {
  it("can handle negative numbers.", () => {
    const result = getPosition(exercises, -10);
    expect(result).toEqual({
      exerciseIndex: 0,
      currentTime: -10,
      exerciseTime: 0
    });
  });
  it("can find the first exercise.", () => {
    const result = getPosition(exercises, 0);
    expect(result).toEqual({
      exerciseIndex: 0,
      currentTime: 0,
      exerciseTime: 0
    });
  });
  it("can find the first exercise.", () => {
    const result = getPosition(exercises, 0.99);
    expect(result).toEqual({
      exerciseIndex: 0,
      currentTime: 1,
      exerciseTime: 1
    });
  });
  it("can find the second exercise.", () => {
    const result = getPosition(exercises, 1);
    expect(result).toEqual({
      exerciseIndex: 1,
      currentTime: 1,
      exerciseTime: 0
    });
  });
  it("can find the second exercise.", () => {
    const result = getPosition(exercises, 2.99);
    expect(result).toEqual({
      exerciseIndex: 1,
      currentTime: 3,
      exerciseTime: 2
    });
  });
  it("can find the third exercise.", () => {
    const result = getPosition(exercises, 3);
    expect(result).toEqual({
      exerciseIndex: 2,
      currentTime: 3,
      exerciseTime: 0
    });
  });
  it("can find the third exercise.", () => {
    const result = getPosition(exercises, 5.99);
    expect(result).toEqual({
      exerciseIndex: 2,
      currentTime: 6,
      exerciseTime: 3
    });
  });
  it("can find the fourth exercise.", () => {
    const result = getPosition(exercises, 6);
    expect(result).toEqual({
      exerciseIndex: 3,
      currentTime: 6,
      exerciseTime: 0
    });
  });
  it("can find the fourth exercise.", () => {
    const result = getPosition(exercises, 9.99);
    expect(result).toEqual({
      exerciseIndex: 3,
      currentTime: 10,
      exerciseTime: 4
    });
  });
  it("can find the fourth exercise.", () => {
    const result = getPosition(exercises, 10);
    expect(result).toEqual({
      exerciseIndex: null,
      currentTime: 10,
      exerciseTime: 0
    });
  });
});
