import { formatTime } from "../../training/utils";

const Indicator = ({
  time,
  duration,
  id
}: {
  time: number;
  duration: number;
  id: string;
}) => {
  const width = `${(100 * (duration - time)) / duration}%`;
  return (
    <div className="indicator">
      {/*<div>{formatTime(duration - time)}</div>*/}
      <div className="bar" style={{ width }} id={id}></div>
      <style jsx>
        {`
          .indicator {
            height: 20px;
            display: grid;
            grid-template-columns: 1fr;
          }

          .bar {
            transition: all ${1000}ms linear;
          }

          #current-indicator {
            background-color: blue;
          }

          #total-indicator {
            background-color: red;
          }
        `}
      </style>
    </div>
  );
};

export default Indicator;
