import { useRef, useEffect } from "react";
import videojs, { VideoJsPlayer } from "video.js";

const VideoPlayer = ({
  getVideoHandle
}: {
  getVideoHandle: (videoHandle: VideoJsPlayer) => void;
}) => {
  const videoPlayerRef = useRef();
  useEffect(() => {
    const video = videojs(videoPlayerRef.current, {
      //sources: [{ src: "/media/tomi.webm" }],
      sources: [{ src: "/media/Pexels_Videos_2786540.mp4" }],
      width: 320,
      loop: true
    });
    getVideoHandle(video);
    return () => {
      if (video) video.dispose();
    };
  }, []);

  return (
    <div data-vjs-player>
      <video ref={videoPlayerRef as any} className="video-js" />
    </div>
  );
};

export default VideoPlayer;
